---
title: "Number of get the comments"

doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/online-store/comments/number-of-get-the-comments'
  md: 'https://developer.shopline.com/docs/admin-rest-api/online-store/comments/number-of-get-the-comments.md'
---
# Number of get the comments

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_content`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
GET /store/comments/count.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `read_content`

## Request

### Query Parameters

* `blog_collection_id`

  string (optional)

  Comment on the blog collection id for articles belonging to

* `blog_id`

  string (optional)

  Comment on blog id

* `created_at_max`

  string (optional)

  Review max creation time ISO 8601

* `created_at_min`

  string (optional)

  Review minimum time to create ISO 8601

* `published_at_max`

  string (optional)

  Post review max time ISO 8601

* `published_at_min`

  string (optional)

  Post review min time ISO 8601

* `published_status`

  string (optional)

  Launch status , value : published ( posted status ) ; unpublished : ( not released status ) ; any : ( all status ) ;

* `status`

  string (optional)

  Status : value : unapproved ( review waiting to approve ) ; published ( posted status ) ;

* `updated_at_max`

  string (optional)

  Update max time ISO 8601

* `updated_at_min`

  string (optional)

  Update min time ISO 8601

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `count`

  long

  Number of reviews for filter conditions


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "externalDocs": {
    "description": "Permission point used by the interface is `read_content` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": ""
  },
  "operationId": "NNgCpwN4",
  "parameters": [
    {
      "name": "blog_collection_id",
      "in": "query",
      "description": "Comment on the blog collection id for articles belonging to",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "blog_collection_id",
        "description": "Comment on the blog collection id for articles belonging to",
        "type": "string",
        "example": "639bfda0ee877c4a9bd600b6"
      },
      "example": "639bfda0ee877c4a9bd600b6"
    },
    {
      "name": "blog_id",
      "in": "query",
      "description": "Comment on blog id",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "blog_id",
        "description": "Comment on blog id",
        "type": "string",
        "example": "63a2afa527797d5cedcecb52"
      },
      "example": "63a2afa527797d5cedcecb52"
    },
    {
      "name": "created_at_max",
      "in": "query",
      "description": "Review max creation time ISO 8601",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "created_at_max",
        "description": "Review max creation time ISO 8601",
        "type": "string",
        "example": "2022-08-03T10:45:00+08:00\t\n"
      },
      "example": "2022-08-03T10:45:00+08:00\t\n"
    },
    {
      "name": "created_at_min",
      "in": "query",
      "description": "Review minimum time to create ISO 8601",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "created_at_min",
        "description": "Review minimum time to create ISO 8601",
        "type": "string",
        "example": "2022-08-03T10:45:00+08:00\t\n"
      },
      "example": "2022-08-03T10:45:00+08:00\t\n"
    },
    {
      "name": "published_at_max",
      "in": "query",
      "description": "Post review max time ISO 8601",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "published_at_max",
        "description": "Post review max time ISO 8601",
        "type": "string",
        "example": "2022-08-03T10:45:00+08:00\t\n"
      },
      "example": "2022-08-03T10:45:00+08:00\t\n"
    },
    {
      "name": "published_at_min",
      "in": "query",
      "description": "Post review min time ISO 8601",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "published_at_min",
        "description": "Post review min time ISO 8601",
        "type": "string",
        "example": "2022-08-03T10:45:00+08:00\t\n"
      },
      "example": "2022-08-03T10:45:00+08:00\t\n"
    },
    {
      "name": "published_status",
      "in": "query",
      "description": "Launch status , value : published ( posted status ) ; unpublished : ( not released status ) ; any : ( all status ) ;",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "published_status",
        "description": "Launch status , value : published ( posted status ) ; unpublished : ( not released status ) ; any : ( all status ) ;",
        "type": "string",
        "example": "published"
      },
      "example": "published"
    },
    {
      "name": "status",
      "in": "query",
      "description": "Status : value : unapproved ( review waiting to approve ) ; published ( posted status ) ;",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "status",
        "description": "Status : value : unapproved ( review waiting to approve ) ; published ( posted status ) ;",
        "type": "string",
        "example": "unapproved"
      },
      "example": "unapproved"
    },
    {
      "name": "updated_at_max",
      "in": "query",
      "description": "Update max time ISO 8601",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "updated_at_max",
        "description": "Update max time ISO 8601",
        "type": "string",
        "example": "2022-08-03T10:45:00+08:00\t\n"
      },
      "example": "2022-08-03T10:45:00+08:00\t\n"
    },
    {
      "name": "updated_at_min",
      "in": "query",
      "description": "Update min time ISO 8601",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "updated_at_min",
        "description": "Update min time ISO 8601",
        "type": "string",
        "example": "2022-08-03T10:45:00+08:00\t\n"
      },
      "example": "2022-08-03T10:45:00+08:00\t\n"
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API. Please refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then put the obtained access token into the API request header in Bearer Token.",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "count": {
                "name": "count",
                "description": "Number of reviews for filter conditions",
                "type": "long",
                "example": 100
              }
            },
            "example": {
              "count": 100
            }
          },
          "examples": {
            "Number of get the reviews": {
              "value": {
                "count": 9
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "get",
  "path": "/store/comments/count.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` ."
        }
      }
    }
  ],
  "info": {
    "title": "Number of get the comments",
    "version": "v20270301"
  },
  "authIndexes": [
    "read_content"
  ]
}
```